/* forms reset */
button[disabled] {
    background-color: #e0e0e0 !important; 
    color: #999!important; 
    cursor: not-allowed!important; 
    border: 1px solid #ccc!important; 
    opacity: 0.7;
    transition: all 0.3s ease;
    box-shadow: none;
    pointer-events: none;
}

/* Efecto hover (aunque deshabilitado) */
button[disabled]:hover {
    background-color: #e0e0e0!important; 
    box-shadow: none!important; 
}



textarea {
  font-size: 0.875em;
  width: 100%;
  height: 100px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  -webkit-box-shadow: 0 2px 0 #ccc, 0 -1px #fff inset;
  -moz-box-shadow: 0 2px 0 #ccc, 0 -1px #fff inset;
  box-shadow: 0 2px 0 #ccc, 0 -1px #fff inset;
  color: #111;
  background-color: #ffffff;
  border: 1px solid #ccc;
  box-sizing: border-box;
}
input[type="text"],
[type="email"],
[type="date"],
[type="number"],
[type="tel"],
[type="password"],
[type="date"] {
  margin-bottom: 4px;
  padding: 4px;
  font-size: 0.875em;
  height: 38px;
  width: 100%;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  color: #111;
  background-color: #ffffff;
  border: 1px solid #ccc;
  box-sizing: border-box;
}
select {
  margin-bottom: 4px;
  padding: 4px;
  font-size: 0.875em;
  height: 38px;
  width: 100%;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  color: #111;
  background-color: #ffffff;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

.icon-calendar {
  background-image: url(../../images/calendar.png);
  background-position: right;
  background-repeat: no-repeat;
}
.icon-room {
  background-image: url(../../images/room.png);
  background-position: right;
  background-repeat: no-repeat;
}
label {
  margin-bottom: 0px;
  padding: 0px;
  text-align: left;
  width: 80%;
  padding-right: 10px;
  display: block;
  float: left;
  font-size: 0.95em;
  box-sizing: border-box;
}

/* boton over */
button[type="submit"],
[type="reset"] {
  overflow: auto;
  width: 120px;
  height: 40px;
  background-color: #f77f3c;
  border: none;
  color: #fff;
  font-size: 1em;
  font-weight: 600;
  -moz-border-radius: 25px;
  -webkit-border-radius: 25px;
  border-radius: 25px;
  padding: 6px;
  cursor: pointer;
}
button[type="submit"]:hover,
[type="reset"]:hover {
  overflow: auto;
  width: 120px;
  background-color: #fff;
  color: #0f3a5e;
  font-size: 1em;
  font-weight: 600;
  -moz-border-radius: 25px;
  -webkit-border-radius: 25px;
  border-radius: 25px;
  padding: 6px;
  cursor: pointer;
}
/* end efecto hover boton*/
@media only screen and (min-width: 641px) {
  textarea {
    width: 65%;
    height: 100px;
  }
  input[type="text"],
  [type="email"],
  [type="date"],
  [type="number"],
  [type="tel"] {
    height: 40px;
    width: 65%;
  }
  select {
    height: 40px;
    width: 65%;
  }
  label {
    margin-bottom: 4px;
    padding: 8px;
    text-align: right;
    width: 33%;
  }
  /* boton over */
  button[type="submit"] {
    width: 120px;
    height: 46px;
    margin-left: 20%;
  }
  button[type="reset"] {
    width: 120px;
    height: 46px;
    margin-left: 1%;
  }
  /* end efecto hover boton*/
}
